summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorRichard W.M. Jones <rjones@redhat.com>2012-08-31 19:05:51 +0100
committerRichard W.M. Jones <rjones@redhat.com>2012-08-31 19:06:38 +0100
commitd754f4a5a30e0473754004c187b919dcc05e8f6f (patch)
tree10240152254cafab5b970cde85e12e3dcb102727 /tests
parent42b892a8c555c15f1066341faaec359c5126af10 (diff)
downloadlibguestfs-d754f4a5a30e0473754004c187b919dcc05e8f6f.tar.gz
libguestfs-d754f4a5a30e0473754004c187b919dcc05e8f6f.tar.xz
libguestfs-d754f4a5a30e0473754004c187b919dcc05e8f6f.zip
tests/rsync: Allow rsync test to be skipped by setting SKIP_TEST_RSYNC_SH=1.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/rsync/test-rsync.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/tests/rsync/test-rsync.sh b/tests/rsync/test-rsync.sh
index e7f62f98..0aa7477c 100755
--- a/tests/rsync/test-rsync.sh
+++ b/tests/rsync/test-rsync.sh
@@ -24,6 +24,11 @@ set -e
guestfish=../../fish/guestfish
+if [ -n "$SKIP_TEST_RSYNC_SH" ]; then
+ echo "$0: test skipped because environment variable is set."
+ exit 77
+fi
+
# Check we have the rsync command.
if ! rsync --help >/dev/null 2>&1; then
echo "$0: skipping test because local rsync command is not available"